import { IBotConfiguration, Service, IServiceBase, BotConfigurationOptions } from "./service";
import { AzureBotService } from "./azurebotservice";
import { DispatchService } from "./dispatch";
import { EndpointService } from "./endpoint";
import { LUISService } from "./luis";
import { QnAMakerService } from "./qnamaker";
import { AzureTableStorageService } from "./azuretablestorage";
import { AzureBlobStorageService } from "./azureblobstorage";
/**
 * @module botbuilder-config
 */
export declare class BotConfig implements IBotConfiguration {
    options?: BotConfigurationOptions;
    private readonly _encryptedProperties;
    private readonly _algorithm;
    private readonly _base64;
    private readonly _ascii;
    name: string;
    description: string;
    secretKey: string;
    services: IServiceBase[];
    constructor(options?: BotConfigurationOptions);
    private init;
    private parseBotFile;
    private getBotFileInDirectory;
    private parse;
    private parseService;
    getService(type: string, name?: string): Service;
    decryptAll(): IBotConfiguration;
    encrypt(value: string): string;
    decrypt(value: string): string;
    Endpoint(name?: string): EndpointService;
    AzureBotService(name?: string): AzureBotService;
    LUIS(name?: string): LUISService;
    QnAMaker(name?: string): QnAMakerService;
    Dispatch(name?: string): DispatchService;
    AzureTableStorage(name?: string): AzureTableStorageService;
    AzureBlobStorage(name?: string): AzureBlobStorageService;
}
